Create a service
curl --request POST \
--url https://api.myproceeds.xyz/v1/services \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "<string>",
"baseUrl": "<string>",
"networks": [
"base-sepolia"
],
"description": "<string>",
"authConfig": {},
"contactEmail": "jsmith@example.com",
"categories": [
"<string>"
],
"docsHomepage": "<string>",
"docsApiReference": "<string>",
"docsLlms": "<string>",
"xGuidance": "<string>",
"publicRoutes": [
"<string>"
],
"siwxRoutes": [
"<string>"
]
}
'import requests
url = "https://api.myproceeds.xyz/v1/services"
payload = {
"name": "<string>",
"baseUrl": "<string>",
"networks": ["base-sepolia"],
"description": "<string>",
"authConfig": {},
"contactEmail": "jsmith@example.com",
"categories": ["<string>"],
"docsHomepage": "<string>",
"docsApiReference": "<string>",
"docsLlms": "<string>",
"xGuidance": "<string>",
"publicRoutes": ["<string>"],
"siwxRoutes": ["<string>"]
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
baseUrl: '<string>',
networks: ['base-sepolia'],
description: '<string>',
authConfig: {},
contactEmail: 'jsmith@example.com',
categories: ['<string>'],
docsHomepage: '<string>',
docsApiReference: '<string>',
docsLlms: '<string>',
xGuidance: '<string>',
publicRoutes: ['<string>'],
siwxRoutes: ['<string>']
})
};
fetch('https://api.myproceeds.xyz/v1/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"baseUrl": "<string>",
"authConfig": {
"bearerToken": "***"
},
"networks": [
"base-sepolia"
],
"contactEmail": "jsmith@example.com",
"categories": [
"<string>"
],
"docsHomepage": "<string>",
"docsApiReference": "<string>",
"docsLlms": "<string>",
"xGuidance": "<string>",
"publicRoutes": [
"<string>"
],
"siwxRoutes": [
"<string>"
],
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"Paywall": [
{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"targetUrl": "<string>",
"routePattern": "<string>",
"price": "<string>",
"currency": "USDC",
"networks": [
"base-sepolia"
],
"merchantWallet": "<string>",
"timeout": 123,
"allowedMethods": [],
"allowedHeaders": [
"<string>"
],
"enabled": true,
"headers": [
{
"key": "<string>",
"value": "***"
}
],
"queryParams": [
{
"key": "<string>",
"value": "<string>"
}
],
"serviceId": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
},
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"details": "<unknown>"
}{
"error": "Valid API key required",
"code": "INVALID_API_KEY"
}{
"error": "<string>",
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"details": "<unknown>"
}{
"error": "<string>",
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"details": "<unknown>"
}Services
Create a service
POST
/
v1
/
services
Create a service
Authorizations
API key in format mpk_<64 hex chars>. Can alternatively be sent as
Authorization: Bearer mpk_....
Body
application/json
Required string length:
1 - 100Available options:
none, bearer, token, x-api-key, custom-header, query-param, bearer-customer, x-api-key-secret, json-body-field Minimum array length:
1Supported blockchain network identifier. The value must match the
owning Service / Paywall mode: pass a testnet identifier when
mode is testnet, and a mainnet identifier when mode is
mainnet.
Available options:
base-sepolia, arc-testnet, tempo-testnet, base, tempo Available options:
testnet, mainnet Show child attributes
Show child attributes
Maximum string length:
320Maximum array length:
20Required string length:
1 - 50Maximum string length:
5000Maximum array length:
50Maximum string length:
200Pattern:
^/Maximum array length:
50Maximum string length:
200Pattern:
^/⌘I

